import request from '../../index'

// 环境记录单列表查询-分页
export function getenvironmentRecordList(data: { offset: number; limit: number }) {
  return request({
    url: `/business/environmentRecord/listPage?offset=${data.offset}&limit=${data.limit}`,
    method: 'post',
    data,
  })
}

// 环境记录单删除
export function getenvironmentRecordDelete(data: object) {
  return request({
    url: '/business/environmentRecord/delete',
    method: 'post',
    data,
  })
}

// 新增环境记录单
export function getenvironmentRecordAdd(data: object) {
  return request({
    url: '/business/environmentRecord/add',
    method: 'post',
    data,
  })
}

// 环境监测记录单-详情
export function getenvironmentRecordDetail(data: object) {
  return request({
    url: '/business/environmentRecord/detail',
    method: 'post',
    data,
  })
}

// 环境监测记录单-编辑
export function getenvironmentRecordUpdate(data: object) {
  return request({
    url: '/business/environmentRecord/update',
    method: 'post',
    data,
  })
}
